Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.management.configuration
Class OutOfDateConfigurationException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--weblogic.utils.NestedException
                        |
                        +--weblogic.management.ManagementException
                              |
                              +--weblogic.management.configuration.ConfigurationException
                                    |
                                    +--weblogic.management.configuration.OutOfDateConfigurationException

public class OutOfDateConfigurationException
extends ConfigurationException

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`protected` | `OutOfDateConfigurationException(java.lang.Object currentVersion, java.lang.Object version, java.lang.String message)`

Method Summary
`java.lang.Object` | `getCurrentVersion()` Returns the current version of the configuration.
`java.lang.Object` | `getVersion()` Returns the version that was passed in as a the argument.

Methods inherited from class weblogic.utils.NestedException
`getMessage, getNested, getNestedException, printStackTrace, printStackTrace, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OutOfDateConfigurationException

    protected OutOfDateConfigurationException(java.lang.Object currentVersion,
                                              java.lang.Object version,
                                              java.lang.String message)

Method Detail

### getVersion

    public java.lang.Object getVersion()

  Returns the version that was passed in as a the argument.

### getCurrentVersion

    public java.lang.Object getCurrentVersion()

  Returns the current version of the configuration.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD